## org.biojava.ontology
Class Variable.Impl

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.ontology.AbstractTerm
              org.biojava.ontology.Term.Impl
                  org.biojava.ontology.Variable.Impl

All Implemented Interfaces:
  Serializable, Annotatable, Term, Variable, Changeable

Enclosing interface:
  Variable

    public static class Variable.Impl

extends Term.Impl
implements Variable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.ontology.Variable
`Variable.Impl`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from class org.biojava.ontology.AbstractTerm
`description`

Fields inherited from interface org.biojava.ontology.Term
`ONTOLOGY`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`Variable.Impl(Ontology ontology, String name, String description)`
`Variable.Impl(Ontology ontology, String name, String description, Object[] synonyms)`

Method Summary

Methods inherited from class org.biojava.ontology.Term.Impl
`addSynonym, equals, getAnnotation, getDescription, getName, getOntology, getSynonyms, hashCode, removeSynonym, setAnnotation, setSynonyms, toString`

Methods inherited from class org.biojava.ontology.AbstractTerm
`getChangeSupport, setDescription`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.ontology.Term
`addSynonym, getDescription, getName, getOntology, getSynonyms, removeSynonym, setDescription`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### Variable.Impl

    public Variable.Impl(Ontology ontology,
                         String name,
                         String description)

### Variable.Impl

    public Variable.Impl(Ontology ontology,
                         String name,
                         String description,
                         Object[] synonyms)